/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/19 15:28
 * Description:图片信息表
 */
package com.emr.service;

import com.emr.entity.Emr_Picture;

import java.util.List;

public interface Emr_PictureService {
    /**
     * 根据id查询图片详细查询
     * @param id
     * @return
     */
    Emr_Picture selectByid(String id);

    /**
     * 根据条件插入记录
     * @param record
     * @return
     */
    int insertSel(Emr_Picture record);

    /**
     * 根据id或标识修改记录
     * @param record
     * @return
     */
    int updateCloByIdOrFlay(Emr_Picture record);

    /**
     * 根据条件查询记录
     * @param record
     * @return
     */
    List<Emr_Picture> selectByClo(Emr_Picture record);

    /**
     * 根据id查询记录
     * @param id
     * @return
     */
    int deleteById(String id);

}
 

